dpkg-buildtree(1)

NOME
dpkg-buildtree - ajudante para operações na árvore de compilação durante compilação de pacotes

RESUMO
dpkg-buildtree [opção...] [comando]

DESCRIÇÃO
dpkg-buildtree é uma ferramenta para executar operações comuns na árvore de compilação para um pacote fonte.

Este programa foi introduzido no dpkg 1.22.3.

COMANDOS

clean
    Remove todos os artefactos gerados durante uma compilação pelas várias ferramentas do dpkg, e os nomes de caminho usados ou controlados pelas ferramentas do dpkg que são seguras de se limpar. Estes ficheiros são usados para acompanhar o estado entre execuções de compilação do pacote, e são em muitos casos detalhes de implementação interna com que o empacotador não se deve preocupar, ou são directórios de estágios contendo artefactos de compilação.

--help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

FICHEIROS

  Ficheiros limpos

debian/files
debian/files.new
    Ficheiros gerados pelo dpkg-distaddfile(1).

debian/substvars
debian/substvars.new
    Ficheiros gerados pelo dpkg-shlibdeps(1).

debian/tmp
    Directório de estágio que contém os conteúdos a ser usados quando se cria um pacote. Ambos dpkg-gencontrol(1) e dpkg-gensymbols(1) ficheiros gerados dentro.

EXEMPLOS

  Utilização em debian/rules
Você pode chamar dpkg-buildtree clean a partir de debian/rules alvo clean, após ter executado outras limpezas necessárias.

Por exemplo para um sistema de compilação tipo-autoconf:

  clean:
        [ ! -f Makefile ] || $(MAKE) distclean
        dpkg-buildtree clean

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.